diff -Naur condor.orig/Makefile condor/Makefile
--- condor.orig/Makefile	Thu Jan  3 15:16:38 2008
+++ condor/Makefile	Thu Jan  3 15:21:38 2008
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	condor
-PORTVERSION=	6.8.4
+PORTVERSION=	6.8.8
 CATEGORIES=	sysutils parallel
 MASTER_SITES=	http://www.cs.wisc.edu/condor/cgi-bin/downloads/sendfile.pl/${OSREL}/v6.8/
 DISTNAME=	condor-${PORTVERSION}-freebsd6-x86-dynamic
diff -Naur condor.orig/distinfo condor/distinfo
--- condor.orig/distinfo	Thu Jan  3 15:16:38 2008
+++ condor/distinfo	Thu Jan  3 15:21:38 2008
@@ -1,3 +1,3 @@
-MD5 (condor-6.8.4-freebsd6-x86-dynamic.tar.gz) = 950fa962f2a9b5af20fc572ea506c5c7
-SHA256 (condor-6.8.4-freebsd6-x86-dynamic.tar.gz) = 5e246718ef080564c6c551cc6f8e762f4381bdbd6717ce4f07b189d5e7b6846e
-SIZE (condor-6.8.4-freebsd6-x86-dynamic.tar.gz) = 91225595
+MD5 (condor-6.8.8-freebsd6-x86-dynamic.tar.gz) = ba539f649c3fccc52778be46ccd1735d
+SHA256 (condor-6.8.8-freebsd6-x86-dynamic.tar.gz) = a71b05899b2607e31918710730a63d2d3f3ae31a0ad9bef9d428eb86bc900dba
+SIZE (condor-6.8.8-freebsd6-x86-dynamic.tar.gz) = 91360203
diff -Naur condor.orig/files/patch-condor_configure condor/files/patch-condor_configure
--- condor.orig/files/patch-condor_configure	Thu Jan  3 15:16:38 2008
+++ condor/files/patch-condor_configure	Thu Jan  3 15:21:38 2008
@@ -1,6 +1,18 @@
---- condor_configure.orig	Thu Feb  1 07:11:10 2007
-+++ condor_configure	Sat Apr 28 18:26:02 2007
-@@ -134,6 +134,7 @@
+--- condor_configure.orig	Tue Jul 10 14:58:29 2007
++++ condor_configure	Tue Jul 10 14:58:34 2007
+@@ -111,6 +111,11 @@
+ only needed when condor_configure is called by a higher-level script, not when
+ invoked by a person.
+ 
++--overwrite
++Always overwrite the contents of the 'sbin' directory in the installation directory.
++By default, Condor will make a backup copy of the original 'sbin' and create a new
++'sbin' directory containing only the new binaries.
++
+ --verbose
+ Print more information. 
+ 
+@@ -134,6 +139,7 @@
  	$opt_maybe_daemon_owner,
  	$opt_install_log,
  	$opt_verbose,
@@ -8,7 +20,45 @@
  );
  
  
-@@ -482,6 +483,7 @@
+@@ -428,9 +434,21 @@
+ 
+ 	# Lookup the full hostname.
+ 	if (!gethostbyname($host)) {
+-	    die "\nInvalid host name \"$host\". Please set the \
+- environment variable \$HOSTNAME to the full name of this machine \
+- e.g. mymachine.mydomain.com \n";
++	   ##
++	   ## We use to die right here when we couldn't get the hostname.
++	   ## But the FreeBSD testers run Condor in a jail without a real hostname, so 
++	   ## we need to be able to still install when gethostbyname() fails
++	   ## This is why we just set the fullhost to the host, and blank out the domain
++	   ## Andy Pavlo - 06/27/2007
++	   ##
++	   $fullhost = $host;
++	   $domain = "";
++         my $msg = "WARNING: Unable to determine full hostname for host '$host'. ".
++                   "Condor may not work properly\n".
++                   "Please set the environment variable \$HOSTNAME to the full name ".
++                   "of this machine (e.g., mymachine.mydomain.com)\n";
++         warn($msg);
++         return;
+ 	}
+ 
+ 	$fullhost=(gethostbyname($host))[0];
+@@ -449,7 +467,11 @@
+ 	if( ! ($fullhost =~ /.*\..*/) ) { 
+ 	    $fullhost=$host;
+ 	    $domain="";
+-	    warn "\nWARNING: Unable to determine full hostname.\n Condor may not work properly\n";
++         my $msg = "WARNING: Unable to determine full hostname for host '$host'. ".
++         "Condor may not work properly\n".
++         "Please set the environment variable \$HOSTNAME to the full name ".
++         "of this machine (e.g., mymachine.mydomain.com)\n";
++         warn($msg);
+ 	} else {
+ 	    # Grab just the domain, so we have it.
+ 	    $fullhost =~ /\w*\.(.*)/;
+@@ -482,6 +504,7 @@
  		"install-log=s"	        =>	\$opt_install_log,
  		"verbose!"				=>	\$opt_verbose,
  		"help"					=>	sub {print $Usage; exit 0},
@@ -16,7 +66,16 @@
  	) or die $Usage;
  
      if ($opt_local_dir && !($opt_local_dir =~ m/^\//)) {
-@@ -629,7 +631,7 @@
+@@ -557,6 +580,8 @@
+ 	return $ENV{CONDOR_CONFIG};
+     } elsif (-f "/etc/condor/condor_config") {
+ 	return "/etc/condor/condor_config"; 
++    } elsif (-f "/usr/local/etc/condor_config") {
++	return "/usr/local/etc/condor_config"; 
+     } elsif (-f "$release_dir/etc/condor_config") {
+ 	return "$release_dir/etc/condor_config";
+     }
+@@ -629,7 +654,7 @@
  
      # Move the sbin directories instead of overwriting them,
      # so that the running daemons don't blow up 
@@ -25,3 +84,12 @@
  	rename ("$release_dir/sbin", "$release_dir/sbin.old.$timestamp") or
  	    die "Unable to move $release_dir/sbin!\n";
      }
+@@ -671,7 +696,7 @@
+ 	die "Unable to create local config file: $local_config_file!\n";
+     $global_config{LOCAL_CONFIG_FILE}="$local_config_file";
+ 
+-    make_personal_condor();
++    # make_personal_condor();
+     # Don't assume the CONDOR_HOST will be defined (e.g. Condor-G)
+     #$local_config{CONDOR_HOST}=$host;
+ 
diff -Naur condor.orig/pkg-descr condor/pkg-descr
--- condor.orig/pkg-descr	Thu Jan  3 15:16:38 2008
+++ condor/pkg-descr	Thu Jan  3 15:21:38 2008
@@ -1,10 +1,9 @@
-Condor is a open-source, specialized workload management system for
-compute-intensive jobs. Like other full-featured batch systems, Condor
-provides a job queueing mechanism, scheduling policy, priority scheme,
-resource monitoring, and resource management. Users submit their serial
-or parallel jobs to Condor, Condor places them into a queue, chooses
-when and where to run the jobs based upon a policy, carefully monitors
-their progress, and ultimately informs the user upon completion. Condor
+Condor is a specialized workload management system for compute-intensive jobs.
+Like other full-featured batch systems, Condor provides a job queueing mechanism,
+scheduling policy, priority scheme, resource monitoring, and resource management.
+Users submit their serial or parallel jobs to Condor, Condor places them into a
+queue, chooses when and where to run the jobs based upon a policy, carefully
+monitors their progress, and ultimately informs the user upon completion. Condor
 also contains mechanisms to submit jobs to grid-sites and supports many
 different grid toolkits.
 
diff -Naur condor.orig/pkg-plist condor/pkg-plist
--- condor.orig/pkg-plist	Thu Jan  3 15:16:38 2008
+++ condor/pkg-plist	Thu Jan  3 20:06:22 2008
@@ -452,53 +452,12 @@
 lib/gt4/share/schema/core/registry/registry_entry_service.wsdl
 lib/gt4/share/schema/core/registry/registry_flattened.wsdl
 lib/gt4/share/schema/core/registry/registry_service.wsdl
-lib/gt4/share/schema/core/samples/authzService/authzService_bindings.wsdl
-lib/gt4/share/schema/core/samples/authzService/authzService_flattened.wsdl
-lib/gt4/share/schema/core/samples/authzService/authzService_service.wsdl
-lib/gt4/share/schema/core/samples/counter/counter_bindings.wsdl
-lib/gt4/share/schema/core/samples/counter/counter_flattened.wsdl
-lib/gt4/share/schema/core/samples/counter/counter_service.wsdl
-lib/gt4/share/schema/core/samples/management/management_bindings.wsdl
-lib/gt4/share/schema/core/samples/management/management_flattened.wsdl
-lib/gt4/share/schema/core/samples/management/management_service.wsdl
 lib/gt4/share/schema/core/security/authorization/authz_bindings.wsdl
 lib/gt4/share/schema/core/security/authorization/authz_port_type.wsdl
 lib/gt4/share/schema/core/security/authorization/authz_service.wsdl
 lib/gt4/share/schema/core/security/secconv/secure_conversation_bindings.wsdl
 lib/gt4/share/schema/core/security/secconv/secure_conversation_port_type.wsdl
 lib/gt4/share/schema/core/security/secconv/secure_conversation_service.wsdl
-lib/gt4/share/schema/core/tests/basic/TestRPCService.wsdl
-lib/gt4/share/schema/core/tests/basic/test_bindings.wsdl
-lib/gt4/share/schema/core/tests/basic/test_flattened.wsdl
-lib/gt4/share/schema/core/tests/basic/test_service.wsdl
-lib/gt4/share/schema/core/tests/c-providers/ResourcePropertiesTest.wsdl
-lib/gt4/share/schema/core/tests/c-providers/ResourcePropertiesTest_bindings.wsdl
-lib/gt4/share/schema/core/tests/c-providers/ResourcePropertiesTest_service.wsdl
-lib/gt4/share/schema/core/tests/interop/notification_consumer_factory_bindings.wsdl
-lib/gt4/share/schema/core/tests/interop/notification_consumer_factory_port_type.wsdl
-lib/gt4/share/schema/core/tests/interop/notification_consumer_factory_service.wsdl
-lib/gt4/share/schema/core/tests/interop/widget_bindings.wsdl
-lib/gt4/share/schema/core/tests/interop/widget_notification_bindings.wsdl
-lib/gt4/share/schema/core/tests/interop/widget_notification_flattened.wsdl
-lib/gt4/share/schema/core/tests/interop/widget_notification_service.wsdl
-lib/gt4/share/schema/core/tests/interop/widget_port_type.wsdl
-lib/gt4/share/schema/core/tests/interop/widget_service.wsdl
-lib/gt4/share/schema/core/tests/invalidate/invalidate_port_type.wsdl
-lib/gt4/share/schema/core/tests/notification/notification_test_bindings.wsdl
-lib/gt4/share/schema/core/tests/notification/notification_test_flattened.wsdl
-lib/gt4/share/schema/core/tests/notification/notification_test_service.wsdl
-lib/gt4/share/schema/core/tests/notification/persistence_test_subscription_manager_bindings.wsdl
-lib/gt4/share/schema/core/tests/notification/persistence_test_subscription_manager_flattened.wsdl
-lib/gt4/share/schema/core/tests/notification/persistence_test_subscription_manager_service.wsdl
-lib/gt4/share/schema/core/tests/performance/basic_perf_test_bindings.wsdl
-lib/gt4/share/schema/core/tests/performance/basic_perf_test_port_type.wsdl
-lib/gt4/share/schema/core/tests/performance/basic_perf_test_service.wsdl
-lib/gt4/share/schema/core/tests/performance/counter_bindings.wsdl
-lib/gt4/share/schema/core/tests/performance/counter_flattened.wsdl
-lib/gt4/share/schema/core/tests/performance/counter_service.wsdl
-lib/gt4/share/schema/core/tests/security/security_test_bindings.wsdl
-lib/gt4/share/schema/core/tests/security/security_test_flattened.wsdl
-lib/gt4/share/schema/core/tests/security/security_test_service.wsdl
 lib/gt4/share/schema/core/types/timestamp.wsdl
 lib/gt4/share/schema/core/types/timestamp.xsd
 lib/gt4/share/schema/ws/addressing/WS-Addressing.xsd
@@ -559,6 +518,7 @@
 libexec/glite/condorc-authorizer
 libexec/glite/condorc-initialize
 libexec/glite/condorc-launcher
+libexec/glite/condorc-vo-advertiser
 libexec/glite/grid_monitor.sh
 libexec/globus-gridftp-server
 libexec/gridftp_wrapper.sh
@@ -660,21 +620,9 @@
 @dirrm lib/gt4/share/schema/ws/addressing
 @dirrm lib/gt4/share/schema/ws
 @dirrm lib/gt4/share/schema/core/types
-@dirrm lib/gt4/share/schema/core/tests/security
-@dirrm lib/gt4/share/schema/core/tests/performance
-@dirrm lib/gt4/share/schema/core/tests/notification
-@dirrm lib/gt4/share/schema/core/tests/invalidate
-@dirrm lib/gt4/share/schema/core/tests/interop
-@dirrm lib/gt4/share/schema/core/tests/c-providers
-@dirrm lib/gt4/share/schema/core/tests/basic
-@dirrm lib/gt4/share/schema/core/tests
 @dirrm lib/gt4/share/schema/core/security/secconv
 @dirrm lib/gt4/share/schema/core/security/authorization
 @dirrm lib/gt4/share/schema/core/security
-@dirrm lib/gt4/share/schema/core/samples/management
-@dirrm lib/gt4/share/schema/core/samples/counter
-@dirrm lib/gt4/share/schema/core/samples/authzService
-@dirrm lib/gt4/share/schema/core/samples
 @dirrm lib/gt4/share/schema/core/registry
 @dirrm lib/gt4/share/schema/core/notification
 @dirrm lib/gt4/share/schema/core/management
